package com.bocloud.cmp.provider.backup;

import com.bocloud.cmp.model.VaultsModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * 华为存储库
 */

public interface VaultsProvider extends SuperProvider {
    default BocloudResult list(VaultsModel model) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult create(VaultsModel model) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult remove(VaultsModel model) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult modify(VaultsModel model) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult addResources(VaultsModel model) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult removeResources(VaultsModel model) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult checkpoints(VaultsModel model) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult detail(VaultsModel model) {
        return new BocloudResult(false, "暂未开发！");
    }
}
